Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class InsertAction

    java.lang.Object
      javax.swing.AbstractAction
          ru.biosoft.graphics.editor.InsertAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

public class InsertAction
extends javax.swing.AbstractAction

The `InsertAction` class extends functionality of AbstractAction.

See Also:
  Serialized Form

Field Summary
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `TYPE` Type of element to be created and inserted during this action processing.

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`InsertAction()` Dummy constructor.
`InsertAction(java.lang.Class type, javax.swing.Icon icon)` Creates InsertAction for the specified type.
`InsertAction(java.lang.Class type, java.lang.String name, java.lang.String shortDesc, java.lang.String longDesc, int mnemonic, java.lang.String imageFile, java.awt.event.ActionListener listener)` Defines an `Action` object with the specified type of element to be inserted, and action name, long/short description string, mnemonic key, icon and action listener.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Overridden method for translation action events to the all listeners
`void` | `addActionListener(java.awt.event.ActionListener l)` Adds the specified action listener to receive action event .
`protected void` | `fireActionPerformed(java.awt.event.ActionEvent evt)`
`static javax.swing.Icon` | `getIcon(java.lang.String imageFile)` Initialise icon from the specified image file.
`void` | `removeActionListeners(java.lang.Class clazz)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### TYPE

    public static final java.lang.String TYPE

  Type of element to be created and inserted during this action processing.

  See Also:
    Constant Field Values

Constructor Detail

### InsertAction

    public InsertAction()

  Dummy constructor. It is suggessted that action will be initialised using ActionInitialiser.

### InsertAction

    public InsertAction(java.lang.Class type,
                        java.lang.String name,
                        java.lang.String shortDesc,
                        java.lang.String longDesc,
                        int mnemonic,
                        java.lang.String imageFile,
                        java.awt.event.ActionListener listener)

  Defines an `Action` object with the specified type of element to be inserted, and action name, long/short description string, mnemonic key, icon and action listener.

Parameters:
  `type` - type of element to be created and inserted when this action is processed
  `name` - name of action
  `shortDesc` - shortDesc short description of action
  `longDesc` - longDesc long description of action
  `mnemonic` - mnemonic hot key
  `imageFile` - image for icon on button or menu items
  `listener` - listener listener of action

### InsertAction

    public InsertAction(java.lang.Class type,
                        javax.swing.Icon icon)

  Creates InsertAction for the specified type. Information for name and short descriptions are extracted from type BeanInfo.

Parameters:
  `type` - type of element to be created and inserted during the action processing.
  `icon` - - iacon for this action

Method Detail

### getIcon

    public static javax.swing.Icon getIcon(java.lang.String imageFile)

  Initialise icon from the specified image file.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Overridden method for translation action events to the all listeners

  Parameters:
    `evt` - ActionEvent

### fireActionPerformed

    protected void fireActionPerformed(java.awt.event.ActionEvent evt)

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Adds the specified action listener to receive action event .

### removeActionListeners

    public void removeActionListeners(java.lang.Class clazz)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.